FreeBSD : mini_httpd -- disclose arbitrary files is some circumstances (33c384f3-5af6-4662-9741-0acb21c7e499)

High Nessus Plugin ID 118476

Synopsis

The remote FreeBSD host is missing a security-related update.

Description

Jef Poskanzer reports :

Prior versions allowed remote users to read arbitrary files in some circumstances.

Solution

Update the affected package.

See Also

http://acme.com/updates/archive/211.html

http://www.nessus.org/u?aec127fd

Plugin Details

Severity: High

ID: 118476

File Name: freebsd_pkg_33c384f35af6466297410acb21c7e499.nasl

Version: 1.2

Type: local

Published: 2018/10/29

Modified: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mini_httpd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/10/26

Vulnerability Publication Date: 2018/10/26